.map-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
}

.overlay-controls {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  pointer-events: none;
}

.top-controls {
  flex-grow: 1;
}

.bottom-controls {
  position: fixed;
  bottom: var(--controls-bottom, 1rem);
  justify-content: space-between;
  align-items: flex-end;
  pointer-events: none;
  padding: 16px;
  width: 100%;
  transition: bottom 0.3s ease-in-out;
}

.bottom-controls > lib-funfair-filter-chip {
  pointer-events: none;
  flex: 1;
  margin-right: 16px;
}

.bottom-controls > .map-controls {
  flex: 0 0 auto;
}

.map-controls,
lib-funfair-filter-chip {
  pointer-events: auto;
}

.map-controls {
  display: flex;
  padding: var(--spacing-minor, 15px) 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  border-radius: 25px;
  background: var(--Maximum-Background);
}

.map-control-button {
  user-select: none;
  cursor: pointer;
  color: var(--Maximum-Background);
  font-weight: 600;
}

ion-content.modal-open .bottom-controls {
  --controls-bottom: 70%;
}

.navigate-main-map-button {
  margin-left: 15px;
  margin-right: 15px;
  position: absolute;
  top: calc(
    var(--safe-area-inset-top, env(safe-area-inset-top)) + 0.3rem + 10px
  );
  left: 0;
  right: 0;
  z-index: 1000;
  pointer-events: none;
}

.controls-container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  width: 100%;
  pointer-events: auto;
}

.controls-container > * {
  width: 100%;
  margin-bottom: 8px;
}

.controls-container > *:last-child {
  margin-bottom: 0;
}
